rte_crypto_vec(3)

NAME
rte_crypto_vec

SYNOPSIS

#include <rte_crypto_sym.h>

  Data Fields

void * base
rte_iova_t iova
uint32_t len
uint32_t tot_len

Detailed Description

Crypto IO Vector (in analogy with struct iovec) Supposed be used to pass input/output data buffers for crypto data-path functions.

Definition at line 34 of file rte_crypto_sym.h.

Field Documentation

  void* base
virtual address of the data buffer

Definition at line 36 of file rte_crypto_sym.h.

  rte_iova_t iova
IOVA of the data buffer

Definition at line 38 of file rte_crypto_sym.h.

  uint32_t len
length of the data buffer

Definition at line 40 of file rte_crypto_sym.h.

  uint32_t tot_len
total buffer length

Definition at line 42 of file rte_crypto_sym.h.

Author

Generated automatically by Doxygen for DPDK from the source code.